# dask.dataframe.Series.mean

Series.mean(axis=0, skipna=True, split_every=False, dtype=None, out=None, numeric_only=None)

  Return the mean of the values over the requested axis.

  This docstring was copied from pandas.core.frame.DataFrame.mean.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    axis{index (0), columns (1)}

      Axis for the function to be applied on. For Series this parameter is unused and defaults to 0.

      For DataFrames, specifying `axis=None` will apply the aggregation across both axes.

      Added in version 2.0.0.

    skipna bool, default True

      Exclude NA/null values when computing the result.

    numeric_only bool, default False

      Include only float, int, boolean columns. Not implemented for Series.

    **kwargs

      Additional keyword arguments to be passed to the function.

  Returns:
    Series or scalar

  Examples

      >>> s = pd.Series([1, 2, 3])
      >>> s.mean()
      2.0

  With a DataFrame

      >>> df = pd.DataFrame({'a': [1, 2], 'b': [2, 3]}, index=['tiger', 'zebra'])
      >>> df
             a   b
      tiger  1   2
      zebra  2   3
      >>> df.mean()
      a   1.5
      b   2.5
      dtype: float64

  Using axis=1

      >>> df.mean(axis=1)
      tiger   1.5
      zebra   2.5
      dtype: float64

  In this case, numeric_only should be set to True to avoid getting an error.

      >>> df = pd.DataFrame({'a': [1, 2], 'b': ['T', 'Z']},
      ...                   index=['tiger', 'zebra'])
      >>> df.mean(numeric_only=True)
      a   1.5
      dtype: float64